package main

import "time"

// AppId 请填写AppId
var AppId = ""
// AppKey 请填写AppKey
var AppKey = ""

// WssAsrUrl 实时语音翻译服务地址
var WssAsrUrl = "wss://aip.baidubce.com/ws/realtime_speech_trans"

// AudioFilePath 音频文件路径
var AudioFilePath = "resource/test_1.pcm"

// AudioRate 音频采样率
var AudioRate = 16000

// AudioSliceLength 每次发送音频时长
var AudioSliceLength time.Duration = 40

// TtsAudioSavePath tts播报音频保存路径
var TtsAudioSavePath = "resource/a.pcm"

// StartFrame 开始帧json绑定格式
type StartFrame struct {
	FrameType       string `json:"type"`
	From            string `json:"from"`
	To              string `json:"to"`
	SamplingRate    int    `json:"sampling_rate"`
	AppId           string `json:"app_id"`
	AppKey          string `json:"app_key"`
	ReturnTargetTts bool   `json:"return_target_tts"`
	TtsSpeaker      string `json:"tts_speaker"`
}

// FinishFrame 结束帧json绑定格式
type FinishFrame struct {
	FrameType string `json:"type"`
}

// 获取开始帧: 请在此函数中修改你希望的开始帧参数
func getStartFrame() StartFrame {
	var startFrame StartFrame

	startFrame.FrameType = "START"
	startFrame.From = "zh"
	startFrame.To = "en"
	startFrame.SamplingRate = AudioRate
	startFrame.AppId = AppId
	startFrame.AppKey = AppKey
	startFrame.ReturnTargetTts = true
	startFrame.TtsSpeaker = "man"

	return startFrame
}

// 获取结束帧
func getFinishFrame() FinishFrame {
	var finishFrame FinishFrame

	finishFrame.FrameType = "FINISH"

	return finishFrame
}
